Index: pacemaker/pengine/test10/standby.exp
===================================================================
--- pacemaker.orig/pengine/test10/standby.exp
+++ pacemaker/pengine/test10/standby.exp
@@ -65,7 +65,7 @@
      <action_set>
       <rsc_op id="25" operation="monitor" operation_key="IPaddr_192_168_1_102_monitor_5000" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="IPaddr_192_168_1_102" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="5000"  ip="192.168.1.102"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="5000"  ip="192.168.1.102"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -78,7 +78,7 @@
      <action_set>
       <rsc_op id="24" operation="start" operation_key="IPaddr_192_168_1_102_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="IPaddr_192_168_1_102" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="20000"  ip="192.168.1.102"/>
+        <attributes CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="20000"  ip="192.168.1.102"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -94,7 +94,7 @@
      <action_set>
       <rsc_op id="23" operation="stop" operation_key="IPaddr_192_168_1_102_stop_0" on_node="sapcl02" on_node_uuid="09fa194c-d7e1-41fa-a0d0-afd79a139181">
         <primitive id="IPaddr_192_168_1_102" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="20000"  ip="192.168.1.102"/>
+        <attributes CRM_meta_on_node="sapcl02" CRM_meta_on_node_uuid="09fa194c-d7e1-41fa-a0d0-afd79a139181" CRM_meta_timeout="20000"  ip="192.168.1.102"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -110,7 +110,7 @@
      <action_set>
       <rsc_op id="28" operation="monitor" operation_key="LVM_12_monitor_120000" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="LVM_12" class="ocf" provider="heartbeat" type="LVM"/>
-        <attributes CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_timeout="60000"  volgrpname="data02vg"/>
+        <attributes CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="60000"  volgrpname="data02vg"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -123,7 +123,7 @@
      <action_set>
       <rsc_op id="27" operation="start" operation_key="LVM_12_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="LVM_12" class="ocf" provider="heartbeat" type="LVM"/>
-        <attributes CRM_meta_timeout="20000"  volgrpname="data02vg"/>
+        <attributes CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="20000"  volgrpname="data02vg"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -142,7 +142,7 @@
      <action_set>
       <rsc_op id="26" operation="stop" operation_key="LVM_12_stop_0" on_node="sapcl02" on_node_uuid="09fa194c-d7e1-41fa-a0d0-afd79a139181">
         <primitive id="LVM_12" class="ocf" provider="heartbeat" type="LVM"/>
-        <attributes CRM_meta_timeout="20000"  volgrpname="data02vg"/>
+        <attributes CRM_meta_on_node="sapcl02" CRM_meta_on_node_uuid="09fa194c-d7e1-41fa-a0d0-afd79a139181" CRM_meta_timeout="20000"  volgrpname="data02vg"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -158,7 +158,7 @@
      <action_set>
       <rsc_op id="31" operation="monitor" operation_key="Filesystem_13_monitor_120000" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="Filesystem_13" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_timeout="60000"  device="/dev/data02vg/v0" directory="/data/d2" fstype="ext3"/>
+        <attributes CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="60000"  device="/dev/data02vg/v0" directory="/data/d2" fstype="ext3"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -171,7 +171,7 @@
      <action_set>
       <rsc_op id="30" operation="start" operation_key="Filesystem_13_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="Filesystem_13" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_timeout="20000"  device="/dev/data02vg/v0" directory="/data/d2" fstype="ext3"/>
+        <attributes CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="20000"  device="/dev/data02vg/v0" directory="/data/d2" fstype="ext3"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -190,7 +190,7 @@
      <action_set>
       <rsc_op id="29" operation="stop" operation_key="Filesystem_13_stop_0" on_node="sapcl02" on_node_uuid="09fa194c-d7e1-41fa-a0d0-afd79a139181">
         <primitive id="Filesystem_13" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_timeout="20000"  device="/dev/data02vg/v0" directory="/data/d2" fstype="ext3"/>
+        <attributes CRM_meta_on_node="sapcl02" CRM_meta_on_node_uuid="09fa194c-d7e1-41fa-a0d0-afd79a139181" CRM_meta_timeout="20000"  device="/dev/data02vg/v0" directory="/data/d2" fstype="ext3"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -277,7 +277,7 @@
      <action_set>
       <rsc_op id="38" operation="monitor" operation_key="IPaddr_192_168_1_104_monitor_5000" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="IPaddr_192_168_1_104" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="5000"  ip="192.168.1.104"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="5000"  ip="192.168.1.104"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -290,7 +290,7 @@
      <action_set>
       <rsc_op id="37" operation="start" operation_key="IPaddr_192_168_1_104_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="IPaddr_192_168_1_104" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="20000"  ip="192.168.1.104"/>
+        <attributes CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="20000"  ip="192.168.1.104"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -306,7 +306,7 @@
      <action_set>
       <rsc_op id="36" operation="stop" operation_key="IPaddr_192_168_1_104_stop_0" on_node="sapcl03" on_node_uuid="0bfb78a2-fcd2-4f52-8a06-2d17437a6750">
         <primitive id="IPaddr_192_168_1_104" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="20000"  ip="192.168.1.104"/>
+        <attributes CRM_meta_on_node="sapcl03" CRM_meta_on_node_uuid="0bfb78a2-fcd2-4f52-8a06-2d17437a6750" CRM_meta_timeout="20000"  ip="192.168.1.104"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -322,7 +322,7 @@
      <action_set>
       <rsc_op id="41" operation="monitor" operation_key="LVM_22_monitor_120000" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="LVM_22" class="ocf" provider="heartbeat" type="LVM"/>
-        <attributes CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_timeout="60000"  volgrpname="data03vg"/>
+        <attributes CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="60000"  volgrpname="data03vg"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -335,7 +335,7 @@
      <action_set>
       <rsc_op id="40" operation="start" operation_key="LVM_22_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="LVM_22" class="ocf" provider="heartbeat" type="LVM"/>
-        <attributes CRM_meta_timeout="20000"  volgrpname="data03vg"/>
+        <attributes CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="20000"  volgrpname="data03vg"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -354,7 +354,7 @@
      <action_set>
       <rsc_op id="39" operation="stop" operation_key="LVM_22_stop_0" on_node="sapcl03" on_node_uuid="0bfb78a2-fcd2-4f52-8a06-2d17437a6750">
         <primitive id="LVM_22" class="ocf" provider="heartbeat" type="LVM"/>
-        <attributes CRM_meta_timeout="20000"  volgrpname="data03vg"/>
+        <attributes CRM_meta_on_node="sapcl03" CRM_meta_on_node_uuid="0bfb78a2-fcd2-4f52-8a06-2d17437a6750" CRM_meta_timeout="20000"  volgrpname="data03vg"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -370,7 +370,7 @@
      <action_set>
       <rsc_op id="44" operation="monitor" operation_key="Filesystem_23_monitor_120000" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="Filesystem_23" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_timeout="60000"  device="/dev/data03vg/v0" directory="/data/d3" fstype="xfs"/>
+        <attributes CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="60000"  device="/dev/data03vg/v0" directory="/data/d3" fstype="xfs"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -383,7 +383,7 @@
      <action_set>
       <rsc_op id="43" operation="start" operation_key="Filesystem_23_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="Filesystem_23" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_timeout="20000"  device="/dev/data03vg/v0" directory="/data/d3" fstype="xfs"/>
+        <attributes CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="20000"  device="/dev/data03vg/v0" directory="/data/d3" fstype="xfs"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -402,7 +402,7 @@
      <action_set>
       <rsc_op id="42" operation="stop" operation_key="Filesystem_23_stop_0" on_node="sapcl03" on_node_uuid="0bfb78a2-fcd2-4f52-8a06-2d17437a6750">
         <primitive id="Filesystem_23" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_timeout="20000"  device="/dev/data03vg/v0" directory="/data/d3" fstype="xfs"/>
+        <attributes CRM_meta_on_node="sapcl03" CRM_meta_on_node_uuid="0bfb78a2-fcd2-4f52-8a06-2d17437a6750" CRM_meta_timeout="20000"  device="/dev/data03vg/v0" directory="/data/d3" fstype="xfs"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -418,7 +418,7 @@
      <action_set>
       <rsc_op id="47" operation="monitor" operation_key="oracle_24_monitor_120000" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="oracle_24" class="ocf" provider="heartbeat" type="oracle"/>
-        <attributes CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_timeout="60000"  sid="testdb"/>
+        <attributes CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="60000"  sid="testdb"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -431,7 +431,7 @@
      <action_set>
       <rsc_op id="46" operation="start" operation_key="oracle_24_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="oracle_24" class="ocf" provider="heartbeat" type="oracle"/>
-        <attributes CRM_meta_timeout="20000"  sid="testdb"/>
+        <attributes CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="20000"  sid="testdb"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -450,7 +450,7 @@
      <action_set>
       <rsc_op id="45" operation="stop" operation_key="oracle_24_stop_0" on_node="sapcl03" on_node_uuid="0bfb78a2-fcd2-4f52-8a06-2d17437a6750">
         <primitive id="oracle_24" class="ocf" provider="heartbeat" type="oracle"/>
-        <attributes CRM_meta_timeout="20000"  sid="testdb"/>
+        <attributes CRM_meta_on_node="sapcl03" CRM_meta_on_node_uuid="0bfb78a2-fcd2-4f52-8a06-2d17437a6750" CRM_meta_timeout="20000"  sid="testdb"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -466,7 +466,7 @@
      <action_set>
       <rsc_op id="50" operation="monitor" operation_key="oralsnr_25_monitor_120000" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="oralsnr_25" class="ocf" provider="heartbeat" type="oralsnr"/>
-        <attributes CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_timeout="60000"  sid="testdb"/>
+        <attributes CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="60000"  sid="testdb"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -479,7 +479,7 @@
      <action_set>
       <rsc_op id="49" operation="start" operation_key="oralsnr_25_start_0" on_node="sapcl01" on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d">
         <primitive id="oralsnr_25" class="ocf" provider="heartbeat" type="oralsnr"/>
-        <attributes CRM_meta_timeout="20000"  sid="testdb"/>
+        <attributes CRM_meta_on_node="sapcl01" CRM_meta_on_node_uuid="85180fd0-70c9-4136-a5e0-90d89ea6079d" CRM_meta_timeout="20000"  sid="testdb"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -498,7 +498,7 @@
      <action_set>
       <rsc_op id="48" operation="stop" operation_key="oralsnr_25_stop_0" on_node="sapcl03" on_node_uuid="0bfb78a2-fcd2-4f52-8a06-2d17437a6750">
         <primitive id="oralsnr_25" class="ocf" provider="heartbeat" type="oralsnr"/>
-        <attributes CRM_meta_timeout="20000"  sid="testdb"/>
+        <attributes CRM_meta_on_node="sapcl03" CRM_meta_on_node_uuid="0bfb78a2-fcd2-4f52-8a06-2d17437a6750" CRM_meta_timeout="20000"  sid="testdb"/>
        </rsc_op>
      </action_set>
      <inputs>
Index: pacemaker/pengine/test10/start-then-stop-with-unfence.exp
===================================================================
--- pacemaker.orig/pengine/test10/start-then-stop-with-unfence.exp
+++ pacemaker/pengine/test10/start-then-stop-with-unfence.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="8" operation="monitor" operation_key="mpath-node2_monitor_0" on_node="rhel7-node1.example.com" on_node_uuid="1">
         <primitive id="mpath-node2" class="stonith" type="fence_mpath"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  devices="/dev/mapper/clustPVa" key="1234" pcmk_host_list="rhel7-node2.example.com"/>
+        <attributes CRM_meta_on_node="rhel7-node1.example.com" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  devices="/dev/mapper/clustPVa" key="1234" pcmk_host_list="rhel7-node2.example.com"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="13" operation="monitor" operation_key="mpath-node1_monitor_60000" on_node="rhel7-node1.example.com" on_node_uuid="1">
         <primitive id="mpath-node1" class="stonith" type="fence_mpath"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  devices="/dev/mapper/clustPVa" key="1233" pcmk_host_list="rhel7-node1.example.com"/>
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="rhel7-node1.example.com" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000"  devices="/dev/mapper/clustPVa" key="1233" pcmk_host_list="rhel7-node1.example.com"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -29,7 +29,7 @@
     <action_set>
       <rsc_op id="12" operation="start" operation_key="mpath-node1_start_0" on_node="rhel7-node1.example.com" on_node_uuid="1">
         <primitive id="mpath-node1" class="stonith" type="fence_mpath"/>
-        <attributes CRM_meta_timeout="20000"  devices="/dev/mapper/clustPVa" key="1233" pcmk_host_list="rhel7-node1.example.com"/>
+        <attributes CRM_meta_on_node="rhel7-node1.example.com" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000"  devices="/dev/mapper/clustPVa" key="1233" pcmk_host_list="rhel7-node1.example.com"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -42,7 +42,7 @@
     <action_set>
       <rsc_op id="9" operation="monitor" operation_key="mpath-node1_monitor_0" on_node="rhel7-node1.example.com" on_node_uuid="1">
         <primitive id="mpath-node1" class="stonith" type="fence_mpath"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  devices="/dev/mapper/clustPVa" key="1233" pcmk_host_list="rhel7-node1.example.com"/>
+        <attributes CRM_meta_on_node="rhel7-node1.example.com" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  devices="/dev/mapper/clustPVa" key="1233" pcmk_host_list="rhel7-node1.example.com"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -55,7 +55,7 @@
     <action_set>
       <rsc_op id="16" operation="monitor" operation_key="ip1_monitor_10000" on_node="rhel7-node1.example.com" on_node_uuid="1">
         <primitive id="ip1" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" cidr_netmask="24"  ip="192.168.143.161"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="rhel7-node1.example.com" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" cidr_netmask="24"  ip="192.168.143.161"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -68,7 +68,7 @@
     <action_set>
       <rsc_op id="15" operation="start" operation_key="ip1_start_0" on_node="rhel7-node1.example.com" on_node_uuid="1">
         <primitive id="ip1" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" cidr_netmask="24"  ip="192.168.143.161"/>
+        <attributes CRM_meta_name="start" CRM_meta_on_node="rhel7-node1.example.com" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" cidr_netmask="24"  ip="192.168.143.161"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -84,7 +84,7 @@
     <action_set>
       <rsc_op id="14" operation="stop" operation_key="ip1_stop_0" on_node="rhel7-node2.example.com" on_node_uuid="2">
         <primitive id="ip1" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="20000" cidr_netmask="24"  ip="192.168.143.161"/>
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="rhel7-node2.example.com" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" cidr_netmask="24"  ip="192.168.143.161"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -97,7 +97,7 @@
     <action_set>
       <rsc_op id="22" operation="monitor" operation_key="jrummy_monitor_10000" internal_operation_key="jrummy:1_monitor_10000" on_node="rhel7-node1.example.com" on_node_uuid="1">
         <primitive id="jrummy" long-id="jrummy:1" class="ocf" provider="heartbeat" type="jrummyRA"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="rhel7-node1.example.com" CRM_meta_on_node_uuid="1" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -110,7 +110,7 @@
     <action_set>
       <rsc_op id="21" operation="start" operation_key="jrummy_start_0" internal_operation_key="jrummy:1_start_0" on_node="rhel7-node1.example.com" on_node_uuid="1">
         <primitive id="jrummy" long-id="jrummy:1" class="ocf" provider="heartbeat" type="jrummyRA"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_timeout="300000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_node="rhel7-node1.example.com" CRM_meta_on_node_uuid="1" CRM_meta_timeout="300000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/stonith-0.exp
===================================================================
--- pacemaker.orig/pengine/test10/stonith-0.exp
+++ pacemaker/pengine/test10/stonith-0.exp
@@ -78,7 +78,7 @@
     <action_set>
       <rsc_op id="28" operation="monitor" operation_key="ocf_192.168.100.181_monitor_5000" on_node="c001n02" on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5">
         <primitive id="ocf_192.168.100.181" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  ip="192.168.100.181"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5" CRM_meta_timeout="20000"  ip="192.168.100.181"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -91,7 +91,7 @@
     <action_set>
       <rsc_op id="27" operation="start" operation_key="ocf_192.168.100.181_start_0" on_node="c001n02" on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5">
         <primitive id="ocf_192.168.100.181" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="20000"  ip="192.168.100.181"/>
+        <attributes CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5" CRM_meta_timeout="20000"  ip="192.168.100.181"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -149,7 +149,7 @@
     <action_set>
       <rsc_op id="31" operation="monitor" operation_key="heartbeat_192.168.100.182_monitor_5000" on_node="c001n02" on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5">
         <primitive id="heartbeat_192.168.100.182" class="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000" >
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5" CRM_meta_timeout="20000" >
           <param name="1" value="192.168.100.182"/>
         </attributes>
       </rsc_op>
@@ -164,7 +164,7 @@
     <action_set>
       <rsc_op id="30" operation="start" operation_key="heartbeat_192.168.100.182_start_0" on_node="c001n02" on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5">
         <primitive id="heartbeat_192.168.100.182" class="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="20000" >
+        <attributes CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5" CRM_meta_timeout="20000" >
           <param name="1" value="192.168.100.182"/>
         </attributes>
       </rsc_op>
@@ -211,7 +211,7 @@
     <action_set>
       <rsc_op id="35" operation="monitor" operation_key="ocf_192.168.100.183_monitor_5000" on_node="c001n02" on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5">
         <primitive id="ocf_192.168.100.183" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  ip="192.168.100.183"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5" CRM_meta_timeout="20000"  ip="192.168.100.183"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -224,7 +224,7 @@
     <action_set>
       <rsc_op id="34" operation="start" operation_key="ocf_192.168.100.183_start_0" on_node="c001n02" on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5">
         <primitive id="ocf_192.168.100.183" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="20000"  ip="192.168.100.183"/>
+        <attributes CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e8973f32-1c97-40cb-a84a-c489f49664a5" CRM_meta_timeout="20000"  ip="192.168.100.183"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -279,7 +279,7 @@
     <action_set>
       <rsc_op id="50" operation="monitor" operation_key="rsc_c001n05_monitor_5000" on_node="c001n07" on_node_uuid="6637ebb5-ab11-4728-b69e-b61222af9a0c">
         <primitive id="rsc_c001n05" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  ip="192.168.100.187"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="c001n07" CRM_meta_on_node_uuid="6637ebb5-ab11-4728-b69e-b61222af9a0c" CRM_meta_timeout="20000"  ip="192.168.100.187"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -292,7 +292,7 @@
     <action_set>
       <rsc_op id="49" operation="start" operation_key="rsc_c001n05_start_0" on_node="c001n07" on_node_uuid="6637ebb5-ab11-4728-b69e-b61222af9a0c">
         <primitive id="rsc_c001n05" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="40000"  ip="192.168.100.187"/>
+        <attributes CRM_meta_name="start" CRM_meta_on_node="c001n07" CRM_meta_on_node_uuid="6637ebb5-ab11-4728-b69e-b61222af9a0c" CRM_meta_timeout="40000"  ip="192.168.100.187"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -320,7 +320,7 @@
     <action_set>
       <rsc_op id="55" operation="monitor" operation_key="rsc_c001n07_monitor_5000" on_node="c001n07" on_node_uuid="6637ebb5-ab11-4728-b69e-b61222af9a0c">
         <primitive id="rsc_c001n07" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  ip="192.168.100.189"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="c001n07" CRM_meta_on_node_uuid="6637ebb5-ab11-4728-b69e-b61222af9a0c" CRM_meta_timeout="20000"  ip="192.168.100.189"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -333,7 +333,7 @@
     <action_set>
       <rsc_op id="54" operation="start" operation_key="rsc_c001n07_start_0" on_node="c001n07" on_node_uuid="6637ebb5-ab11-4728-b69e-b61222af9a0c">
         <primitive id="rsc_c001n07" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="40000"  ip="192.168.100.189"/>
+        <attributes CRM_meta_name="start" CRM_meta_on_node="c001n07" CRM_meta_on_node_uuid="6637ebb5-ab11-4728-b69e-b61222af9a0c" CRM_meta_timeout="40000"  ip="192.168.100.189"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -361,7 +361,7 @@
     <action_set>
       <rsc_op id="68" operation="monitor" operation_key="child_DoFencing:4_monitor_20000" on_node="c001n08" on_node_uuid="f3dcc75c-12da-4949-b01c-1988f7df5238">
         <primitive id="child_DoFencing" long-id="child_DoFencing:4" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="4" CRM_meta_clone_max="7" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_requires="nothing" CRM_meta_timeout="40000"  hostlist="c001n03 c001n02 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
+        <attributes CRM_meta_clone="4" CRM_meta_clone_max="7" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="c001n08" CRM_meta_on_node_uuid="f3dcc75c-12da-4949-b01c-1988f7df5238" CRM_meta_requires="nothing" CRM_meta_timeout="40000"  hostlist="c001n03 c001n02 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
       </rsc_op>
     </action_set>
     <inputs/>
